Bug 555443 - FTBFS haskell-platform-2009.2.0.2-3.fc13
Summary: FTBFS haskell-platform-2009.2.0.2-3.fc13
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: haskell-platform
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On: 554926 555638 555948 556723 556727 557390 557391 557392 557393
Blocks: F13FTBFS
TreeView+ depends on / blocked
 
Reported: 2010-01-14 17:24 UTC by FTBFS
Modified: 2010-01-27 08:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-27 08:04:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log (24.85 KB, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details
build.log (628 bytes, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details
mock.log (892 bytes, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details
root.log (34.68 KB, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details
build.log (639 bytes, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details
mock.log (898 bytes, text/plain)
2010-01-14 17:24 UTC, FTBFS
no flags Details

Description FTBFS 2010-01-14 17:24:15 UTC
haskell-platform-2009.2.0.2-3.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2010-01-14 17:24:18 UTC
Created attachment 383956 [details]
root.log

root.log for i386

Comment 2 FTBFS 2010-01-14 17:24:19 UTC
Created attachment 383957 [details]
build.log

build.log for i386

Comment 3 FTBFS 2010-01-14 17:24:21 UTC
Created attachment 383958 [details]
mock.log

mock.log for i386

Comment 4 FTBFS 2010-01-14 17:24:22 UTC
Created attachment 383959 [details]
root.log

root.log for x86_64

Comment 5 FTBFS 2010-01-14 17:24:23 UTC
Created attachment 383960 [details]
build.log

build.log for x86_64

Comment 6 FTBFS 2010-01-14 17:24:24 UTC
Created attachment 383961 [details]
mock.log

mock.log for x86_64

Comment 7 Jens Petersen 2010-01-15 03:16:57 UTC
This requires new package to be added to fedora.

I will link the package reviews here as they come to track this.

Comment 8 Jens Petersen 2010-01-20 01:45:20 UTC
There are 4 more packages needed for the haskell-src, parallel, QuickCheck, and stm libraries.

Comment 9 Rakesh Pandit 2010-01-20 06:32:51 UTC
I have tried to clear bottlenecks for this FTBFS as it has been haunting for some time now. ;)

Thanks for your wonderful work Jens, you can start cvs request on dependent requests (as everything seemed clean to me) and move on with next steps on this one also.

Thanks,

Comment 10 Jens Petersen 2010-01-20 08:15:17 UTC
Thank you very much Rakesh for pushing on this - much appreciated! :-)
CVS requests have been submitted.

I will put in the remaining 4 reviews soon unless someone beats me to it. :)

Comment 11 Jens Petersen 2010-01-25 00:41:59 UTC
Thanks to Rakesh the remaining 4 packages have been reviewed and approved. :-)
Just waiting for cvs admin to be able to import and build, then this package
should finally be able to build. :)

Comment 12 Jens Petersen 2010-01-27 08:04:53 UTC
Successfully built haskell-platform in dist-f13:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1947325

Phew!


Note You need to log in before you can comment on or make changes to this bug.